---
image: docker:stable-dind

services:
  - docker:dind

before_script:
  - apk add --no-cache
    python3 python3-dev py3-pip gcc git curl build-base
    autoconf automake py3-cryptography linux-headers
    musl-dev libffi-dev openssl-dev openssh rsync
  - docker info
  - python3 --version
  - python3 -m pip install ansible molecule[docker]
  - python3 -m pip install ansible-lint
  - python3 -m pip install flake8
  - python3 -m pip install pytest-molecule
  - ansible --version
  - molecule --version

molecule:
  stage: test
  script:
    - molecule test --destroy never
